OnCallPayReports
List On-Call Pay Reports
List on-call pay reports
GET
/
v1
/
on_call_pay_reports
List On-Call Pay Reports
curl --request GET \
--url https://api.rootly.com/v1/on_call_pay_reports \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rootly.com/v1/on_call_pay_reports"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rootly.com/v1/on_call_pay_reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"type": "on_call_pay_reports",
"attributes": {
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"total_duration": 123,
"users_count": 123,
"currency": "<string>",
"hourly_rate_cents": 123,
"daily_rate_cents": 123,
"total_pay_cents": 123,
"include_shadow": true,
"show_individual_shift_data": true,
"has_single_rate": true,
"enabled_granular_time_breakdown": true,
"last_generated_at": "2023-11-07T05:31:56Z",
"time_zone": "<string>",
"use_responders_time_zone": true,
"csv_file_url": "<string>",
"xlsx_file_url": "<string>"
}
}
],
"links": {
"self": "<string>",
"first": "<string>",
"prev": "<string>",
"next": "<string>",
"last": "<string>"
},
"meta": {
"current_page": 123,
"next_page": 123,
"prev_page": 123,
"total_count": 123,
"total_pages": 123,
"next_cursor": "<string>"
},
"included": [
{
"id": "<string>",
"type": "<string>",
"attributes": {},
"relationships": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Was this page helpful?
Previous
Creates an On-Call Pay ReportGenerates a new on-call pay report for the given date range. The report is generated asynchronously.
Next
⌘I
List On-Call Pay Reports
